<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwCtrlUtils: CtrlJsonSerialize library reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwCtrlUtils
   &#160;<span id="projectnumber">8.5.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('group__CtrlJsonSerialize.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">CtrlJsonSerialize library reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga008d751aa43d5039f0273f8ba410f670"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__CtrlJsonSerialize.html#ga008d751aa43d5039f0273f8ba410f670">fwJsonSerialize</a> (const shared_ptr&lt; type &gt;|const type &amp;obj, [const mapping &amp;options=makeMapping(),] bool compact=true)</td></tr>
<tr class="separator:ga008d751aa43d5039f0273f8ba410f670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32bd1b5f5341e49bc7e6a3afb7771ce6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__CtrlJsonSerialize.html#ga32bd1b5f5341e49bc7e6a3afb7771ce6">fwJsonDeserialize</a> (const string &amp;json, shared_ptr&lt; type &gt;|type &amp;obj, const mapping &amp;options=makeMapping())</td></tr>
<tr class="separator:ga32bd1b5f5341e49bc7e6a3afb7771ce6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>CtrlJsonSerialize module provides the tools to serialize and deserialize CTRL++ objects into/from their JSON representation.</p>
<p>Please refer to the <a class="el" href="CtrlJsonSerializeManual.html">CtrlJsonSerialize Programmer Manual</a> section for a comprehensive programmer's guide. </p>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga008d751aa43d5039f0273f8ba410f670"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga008d751aa43d5039f0273f8ba410f670">&#9670;&nbsp;</a></span>fwJsonSerialize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwJsonSerialize </td>
          <td>(</td>
          <td class="paramtype">const shared_ptr&lt; type &gt;|const type &amp;&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">[const mapping &amp;options = makeMapping(),] bool&#160;</td>
          <td class="paramname"><em>compact</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Serialize given object, pointer or variable into string containing its JSON equivalent</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Object, pointer or variable to be serialized </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">options</td><td>Mapping with serialization options ["addObjectTypeProperty"=false] </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">compact</td><td>Flag indicating whether produced string should contain JSON in compated (true - default) indented (false) format </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>String containing JSON representation of given value </dd>
<dd>
Empty string in case of errors </dd></dl>

</div>
</div>
<a id="ga32bd1b5f5341e49bc7e6a3afb7771ce6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga32bd1b5f5341e49bc7e6a3afb7771ce6">&#9670;&nbsp;</a></span>fwJsonDeserialize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwJsonDeserialize </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>json</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">shared_ptr&lt; type &gt;|type &amp;&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const mapping &amp;&#160;</td>
          <td class="paramname"><em>options</em> = <code>makeMapping()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deserialize string with JSON encoded data into given object, pointer or variable</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">json</td><td>String containing JSON encoded data </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">obj</td><td>Object, pointer or variable to which deserialized data is assigned </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">options</td><td>Mapping with deserialization options ["useObjectTypeProperty"=false, "acceptIncompleteJson"=false] </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 when deserialization successfull </dd>
<dd>
1 when deserialization finished with warnings (to be retrieved with getLastError()) </dd>
<dd>
-1 when an error occured during deserialization and it can't be finished </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
